Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452516 - Review Request: perl-AnyEvent - Framework for multiple event loops
Summary: Review Request: perl-AnyEvent - Framework for multiple event loops
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: perl-Coro 452523
TreeView+ depends on / blocked
 
Reported: 2008-06-23 14:22 UTC by Nicolas Chauvet (kwizart)
Modified: 2008-07-04 22:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-04 22:01:38 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2008-06-23 14:22:40 UTC
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-AnyEvent.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/perl-AnyEvent-4.152-1.fc8.kwizart.src.rpm
Description: Framework for multiple event loops

http://koji.fedoraproject.org/koji/taskinfo?taskID=676522

This package filter the perl-Qt event module as it will need some special care, but is unmaintained until now.

Comment 1 Nicolas Chauvet (kwizart) 2008-06-23 14:55:57 UTC
I forgot to say that perl-EV needs to be filtered until it is built:
So here is the scratch build according to the above spec file:
http://koji.fedoraproject.org/koji/taskinfo?taskID=676543

Comment 2 Jason Tibbitts 2008-07-02 19:47:20 UTC
Not much to say here; this looks fine.

* source files match upstream:
   ce4f22202f705dee0e4303b85b1aa6475afadc3f50d0586b50a3966ea8633cb5  
   AnyEvent-4.152.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(AnyEvent) = 4.152
   perl(AnyEvent::Base)
   perl(AnyEvent::CondVar)
   perl(AnyEvent::CondVar::Base)
   perl(AnyEvent::DNS) = 4.151
   perl(AnyEvent::Handle) = 4.151
   perl(AnyEvent::Impl::EV)
   perl(AnyEvent::Impl::Event)
   perl(AnyEvent::Impl::EventLib)
   perl(AnyEvent::Impl::Glib)
   perl(AnyEvent::Impl::POE)
   perl(AnyEvent::Impl::Perl) = 4.151
   perl(AnyEvent::Impl::Tk)
   perl(AnyEvent::Socket) = 4.151
   perl(AnyEvent::Util) = 4.151
   perl-AnyEvent = 4.152-1.fc10
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(AnyEvent)
   perl(AnyEvent::DNS)
   perl(AnyEvent::Handle)
   perl(AnyEvent::Socket)
   perl(AnyEvent::Util)
   perl(Carp)
   perl(Errno)
   perl(Event)
   perl(Event::Lib)
   perl(Fcntl)
   perl(Glib)
   perl(POE)
   perl(Scalar::Util)
   perl(Socket)
   perl(Time::HiRes)
   perl(Tk)
   perl(base)
   perl(strict)

* %check is present and all tests pass:
   All tests successful, 1 test skipped.
   Files=10, Tests=74,  1 wallclock secs ( 0.35 cusr +  0.07 csys =  0.42 CPU)
   (the skipped test requires the network)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 3 Nicolas Chauvet (kwizart) 2008-07-02 20:29:05 UTC
New Package CVS Request
=======================
Package Name: perl-AnyEvent
Short Description: Framework for multiple event loops
Owners: kwizart
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2008-07-04 20:16:01 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.